# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, ... }:

{
  imports = [ <nixpkgs/nixos/modules/installer/scan/not-detected.nix> ];

  boot.initrd.availableKernelModules =
    [ "ehci_pci" "ahci" "xhci_pci" "usb_storage" "sd_mod" "sdhci_pci" ];
  boot.initrd.kernelModules = [ "dm-snapshot" ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  # efi boot loader configuration using grub
  boot.loader.efi.canTouchEfiVariables = false;
  boot.loader.grub = {
    device = "nodev";
    efiInstallAsRemovable = true;
    efiSupport = true;
    enable = true;
    version = 2;
  };

  fileSystems."/share/" = {
    device = "/dev/ram1";
    fsType = "tmpfs";
  };

  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";

  # NTFS support
  # ------------
  environment.systemPackages = [ pkgs.ntfs3g ];

  # lvm volume group
  # ----------------
  boot.initrd.luks.devices = [{
    name = "mobi";
    device = "/dev/disk/by-uuid/e138095f-c703-4dea-bb1c-bf888b8e1b81";
    preLVM = true;
  }];

  # root
  # ----
  fileSystems."/" = {
    options = [ "noatime" "nodiratime" "discard" ];
    device = "/dev/mobi/root";
    fsType = "ext4";
  };

  # boot
  # ----
  fileSystems."/boot" = {
    device = "/dev/disk/by-uuid/064D-3144";
    fsType = "vfat";
  };

}
