{ config, lib, pkgs , ... }:
{
  imports = [
    <wetten/nixos>
  ];

  krops.userKeys."wetten_appkey" = {
    user = "wetten";
    source = toString <secrets/betfair/appkey>;
    requiredBy = [ "wetten.service" ];
  };

  krops.userKeys."wetten_key" = {
    user = "wetten";
    source = <secrets/betfair/key>;
    requiredBy = [ "wetten.service" ];
  };

  krops.userKeys."wetten_cert" = {
    user = "wetten";
    source = toString <secrets/betfair/cert>;
    requiredBy = [ "wetten.service" ];
  };

  krops.userKeys."wetten_password" = {
    user = "wetten";
    source = toString <secrets/betfair/password>;
    requiredBy = [ "wetten.service" ];
  };

  services.wetten = {
    enable = true;
    username = "palipalo9@googlemail.com";
    passwordFile = config.krops.userKeys."wetten_password".target;
    appKeyFile = config.krops.userKeys."wetten_appkey".target;
    clientCert = config.krops.userKeys."wetten_cert".target;
    clientCertKey = config.krops.userKeys."wetten_key".target;
  };

}
