{ config, pkgs, lib, ... }:

with lib;

let

  cfg = config.programs.custom.video;

in {

  options.programs.custom.video.enable = mkEnableOption "enable video tools";

  config = mkIf cfg.enable {
    environment.systemPackages = with pkgs; [
      youtube-dl
      mplayer
      mpv

      # to record your screen
      # ---------------------
      simplescreenrecorder
      # todo : the tool to show the keys pressing

      # to transcode video material
      # ---------------------------
      handbrake
      ffmpeg-full

      # video editing
      # -------------
      openshot-qt

    ];
  };
}

