{ stdenv, fetchgit, pkgconfig, curl, glib, id3lib, libxml2, cmake, libevent
, libxmlxx, ... }:

stdenv.mkDerivation rec {
  version = "0.2";
  name = "museek-plus-${version}";

  src = fetchgit {
    url = "https://github.com/eLvErDe/museek-plus.git";
    rev = "875d96e65697b96c70b2d1e557fc9428b6a1d04a";
    sha256 = "07ajdighiqri09bp1xv7fd4lr8w3x1qb4l2ghyxwkmf4wrq21mlr";
  };

  nativeBuildInputs = [ cmake ];
  cmakeFlags = [
    "-DEVERYTHING=0" # (0): Enable all features.
    "-DMUSEEKD=1" # (1): Build museekd soulseek daemon.
    "-DMUSETUP=0" # (1): Build musetup configuration interface for museekd.
    "-DMUSEEQ=0" # (1): Build museeq Qt client.
    "-DMUSCAN=0" # (1): Build muscan shared file index generator.
    "-DMUCOUS=0" # (0): Build mucous curses client.
    "-DMURMUR=0" # (0): Build murmur PyGTK client.
    "-DPYMUCIPHER=0" # (0): Generate PyMucipher bindings.
    "-DPYTHON_BINDINGS=0" # (0): Generate python bindings.
    "-DPYTHON_CLIENTS=0" # (0): Build python clients (mulog, museekchat, museekcontrol, musirc).\
  ];

  buildInputs = [ glib libxml2 pkgconfig libevent libxmlxx ];

  meta = with stdenv.lib; {
    description = "";
    homepage = "";
    license = licenses.gpl2;
    platforms = platforms.linux;
    maintainers = with maintainers; [ mrVanDalo ];
  };
}
