{ lib, ... }:
with lib; {

  home-manager.users.mainUser = {
    programs.ssh.enable = true;
    programs.ssh.matchBlocks = {
      "lassul.us" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        user = "download";
        port = 45621;
      };
      "*.r" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        user = "root";
      };
      "*.insecure" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        user = "root";
      };
      "*.private" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        user = "root";
      };
      "*.ingolf-wagner.de" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        extraOptions.HostKeyAlgorithms = "ssh-rsa";
        user = "root";
      };
      "git.renoise.com" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        extraOptions.HostKeyAlgorithms = "ssh-rsa";
      };
      "*.renoise.com" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
      };
      "*.sononym.net" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
      };
      "github.com" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        hostname = "ssh.github.com";
        user = "root";
      };
      "es5.siteground.eu" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        user = "ingolfwa";
        port = 18765;
      };
      "bitbucket.org" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
      };
      "static.247.134.201.195.clients.your-server.de" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
      };
      "*.onion" = {
        identityFile = "~/.ssh/card_rsa.pub";
        identitiesOnly = true;
        user = "root";
      };
    };
  };
}
